Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(3)  |  Call(3)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/surface.py   rhinopython(Download)
    u_interval = Rhino.Geometry.Interval(0, u_dir)
    v_interval = Rhino.Geometry.Interval(0, v_dir)
    plane_surface = Rhino.Geometry.PlaneSurface(plane, u_interval, v_interval) 
    if plane_surface is None: return scriptcontext.errorhandler()
    rc = scriptcontext.doc.Objects.AddSurface(plane_surface)

src/h/o/Honeybee-HEAD/src/Honeybee_SplitBuildingMass.py   Honeybee(Download)
            extV.T0 -= 1.0
            extV.T1 += 1.0
            splitters.append(rc.Geometry.PlaneSurface(sectionPlane, extU, extV))
            #print contourCrvs
 

src/h/o/Honeybee-HEAD/src/Honeybee_Masses2Zones.py   Honeybee(Download)
                extV.T0 -= 1.0
                extV.T1 += 1.0
                splitters.append(rc.Geometry.PlaneSurface(sectionPlane, extU, extV))
                #print contourCrvs